Name:           gdeskcal
Version:        1.01
Release:        %mkrel 2
Summary:        Eye-candy calendar for your desktop
Group:          Graphical desktop/GNOME
License:        GPL
URL:            http://www.pycage.de/
Source0:        http://www.pycage.de/download/gDeskCal-%{version}.tar.gz
Source1:        gdeskcal.png
Source2:        gdeskcal.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  desktop-file-utils, pygtk2.0-devel, perl(XML::Parser), gettext
Requires:       pygtk2.0 
Requires:       python 

BuildArch:      noarch
Provides:       gDeskCal = %{version}-%{release}

%description
gDeskCal is a cute little eye-candy calendar for your desktop.  It features
transparency with smooth alpha-blending and its appearance can be changed
completely by using skins.


%prep
%setup -q -n gDeskCal-%{version}

%build
%configure
make 
# no multi build as it's annoying the buildsys

%install
rm -rf %{buildroot}
install -p -D -m0644 %{SOURCE1} %{buildroot}/%{_datadir}/pixmaps/gdeskcal.png
make DESTDIR=%{buildroot} install

desktop-file-install 					\
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications       \
  --add-category X-MandrivaLinux                        \
  %{SOURCE2}

%find_lang %name

%post
update-desktop-database &> /dev/null ||:

%postun
update-desktop-database &> /dev/null ||:

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS NEWS README 
%{_bindir}/gdeskcal
%{_datadir}/applications/%{name}.desktop
%exclude %{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_libdir}/%{name}/


%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.01-2mdv2008.1
+ Revision: 140735
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 23 2007 Frederic Crozat <fcrozat@mandriva.com> 1.01-2mdv2008.0
+ Revision: 92373
- Fix dependency so it can be installed

* Wed Sep 05 2007 Jérôme Soyer <saispo@mandriva.org> 1.01-1mdv2008.0
+ Revision: 80017
- New release 1.01
- New release 1.01
- Import gdeskcal



* Sat Feb 05 2005 Abel Cheung <deaddog@mandrake.org> 0.57.1-2mdk
- Drop evolution hack altogether, my hack contain bugs, and can't
  handle multiple calendar (thanks to misc and others). Looks like
  there is no activity for whole year :-(

* Sat May 29 2004 Abel Cheung <deaddog@deaddog.org> 0.57.1-1mdk
- New version
- Patch0: Avoid deprecation warning
- Patch1: ugly hack to probe evolution 1.5 calendar
- Fix requires

* Fri Aug 29 2003 Olivier Blin <oliv.blin@laposte.net> 0.55-1mdk 
- Release 0.55
- fix DIRM

* Wed Aug 13 2003 Olivier Blin <oliv.blin@laposte.net> 0.54-1mdk 
- Initial release for Mandrake
